openSUSE Security Update : seamonkey (openSUSE-SU-2014:1656-1)

This script is Copyright (C) 2014-2015 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

seamonkey was updated to version 2.31 to fix eight security issues.

These security issues were fixed :

- Miscellaneous memory safety hazards (CVE-2014-1587,
CVE-2014-1588).

- XBL bindings accessible via improper CSS declarations
(CVE-2014-1589).

- XMLHttpRequest crashes with some input streams
(CVE-2014-1590).

- CSP leaks redirect data via violation reports
(CVE-2014-1591).

- Use-after-free during HTML5 parsing (CVE-2014-1592).

- Buffer overflow while parsing media content
(CVE-2014-1593).

- Bad casting from the BasicThebesLayer to
BasicContainerLayer (CVE-2014-1594).

This non-security issue was fixed :

- define /usr/share/myspell as additional dictionary
location and remove add-plugins.sh finally (bnc#900639).

See also :

http://lists.opensuse.org/opensuse-updates/2014-12/msg00069.html
https://bugzilla.opensuse.org/show_bug.cgi?id=900639
https://bugzilla.opensuse.org/show_bug.cgi?id=908009

Solution :

Update the affected seamonkey packages.

Risk factor :

Medium / CVSS Base Score : 6.8
(CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P)

Family: SuSE Local Security Checks

Nessus Plugin ID: 80094 ()

Bugtraq ID:

CVE ID: CVE-2014-1587
CVE-2014-1588
CVE-2014-1589
CVE-2014-1590
CVE-2014-1591
CVE-2014-1592
CVE-2014-1593
CVE-2014-1594

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now